Name:		clzip
Version:	1.1
Release:	1
Summary:	Lossless Data Compressor based on the LZMA Algorithm
Source0:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz
Source1:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.nongnu.org/lzip/clzip.html
Group:		Productivity/Archiving/Compression
License:	GNU General Public License version 3 (GPL v3)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	make
Requires:	/sbin/install-info, info

%description
Clzip is a lossless data compressor based on the LZMA algorithm, with very safe
integrity checking and a user interface similar to the one of gzip or bzip2.
Clzip decompresses almost as fast as gzip and compresses better than bzip2,
which makes it well suited for software distribution and data archiving.

Clzip uses the lzip file format; the files produced by clzip are fully
compatible with lzip-1.4 or newer. Clzip is in fact a C language version of
lzip, intended for embedded devices or systems lacking a C++ compiler. 

Authors:
--------
    Antonio Diaz Diaz <ant_diaz@teleline.es>


%prep
%setup -q
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
export CC="xlc"

./configure \
    --prefix="%{_prefix}" \
    CC="${CC}" \
    CFLAGS="${CFLAGS}" \
    CXX="${CXX}" \
    CXXFLAGS="${CXXFLAGS}"

gmake %{?_smp_mflags}


%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cp doc/%{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cp doc/%{name}.info ${RPM_BUILD_ROOT}%{_infodir}/%{name}.info
chmod 0644 ${RPM_BUILD_ROOT}%{_infodir}/*
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_infodir}/*info*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Sat Jan 15 2011 Michael Perzl <michael@perzl.org> - 1.1-1
- updated to version 1.1

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 1.0-1
- first version for AIX V5.1 and higher
